Subject: Re: [PATCH rdma-next 0/4] Introduce dynamic UAR allocation mode

From: Leon Romanovsky <[email-masked]>
Date: Wed, 18 Mar 2020 19:07:21 +0200

On Wed, Mar 18, 2020 at 11:39:03AM -0300, Jason Gunthorpe wrote:
> On Wed, Mar 18, 2020 at 04:24:55PM +0200, Leon Romanovsky wrote:
> > > > I'm ok with this approach because it helps us to find those dead
> > > > paths, but have last question, shouldn't this be achieved with
> > > > proper documentation of every flag instead of adding CONFIG_..?
> > >
> > > How do you mean?
> > >
> > > The other half of this idea is to disable obsolete un tested code to
> > > avoid potential bugs. Which requires CONFIG_?
> >
> > The second part is achievable by distros when they will decide to
> > support starting from version X. The same decision is not so easy
> > to do in the upstream.
>
> Upstream will probably carry the code for a long, long time, that
> doesn't mean the distros don't get value by using a shorter time
> window

Sure

>
> > Let's take as an example this feature. It will be set as default from
> > rdma-core v29 and the legacy code will be guarded by
> > "if (CONFIG_INFINIBAND_MIN_RDMA_CORE_VERSION >= 29)". When will change
> > CONFIG_INFINIBAND_MIN_RDMA_CORE_VERSION to be above 29? So we will
> > delete such legacy code.
>
> First the distros will decide in their own kconfigs where they want to
> set the value.
>
> Then the upstream kernel will decide some default value
>
> Then maybe we could talk about lowest values when enough of the user
> community uses a higher value

I think that you over-optimistic here, but let's hear other voices here.

Thanks

> Jason